---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ssh-key delete`

Deletes a single SSH key specified by the ID.

```plaintext
glab ssh-key delete <key-id> [flags]
```

## Examples

```plaintext
# Delete SSH key with ID as argument
$ glab ssh-key delete 7750633

# Interactive
$ glab ssh-key delete

# Interactive, with pagination
$ glab ssh-key delete -P 50 -p 2
```

## Options

```plaintext
  -p, --page int       Page number. (default 1)
  -P, --per-page int   Number of items to list per page. (default 30)
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
